apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    namespace: home-stuff
    name: plex-ingress
    annotations:
        kubernetes.io/ingress.class: nginx
        nginx.ingress.kubernetes.io/proxy-body-size: 10240m
        cert-manager.io/issuer: vault-issuer
        cert-manager.io/common-name: plex.k3s.local
spec:
    rules:
        - host: ENC[AES256_GCM,data:MGXIJ0FRMGKQfyu0GEk=,iv:+gHvgVC265Oi941RR8p5uje1ltyBdX5jyhUamNMhn2k=,tag:AUqznnt/1lcsE5VNsdzo2A==,type:str]
          http:
            paths:
                - backend:
                    service:
                        name: ENC[AES256_GCM,data:8+4+fFBQGWY=,iv:eaF58ta1H3Biq2gafOytu2Tf13hPt4JK8mS5xlbA6IU=,tag:eRSDAehWES7CWj43xLJngg==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:uAaHFl4=,iv:qTKoK2hmsQoYiVKMuFfDe2H5kIB3Y+V/yNjwJfwxfWU=,tag:GpRUEoj+cz3n3rLQ434uPQ==,type:int]
                  path: ENC[AES256_GCM,data:gg==,iv:bAzlpjy0OEgrROWmFr7g4evWgroIeSnPzJJNWWdUSOo=,tag:nOSK3k2rSeuC/wRFmcmjbg==,type:str]
                  pathType: ENC[AES256_GCM,data:YyxYu0xL,iv:zkm9SnsOfErhqQXk+8HvKcWkf25vdsRjhr73TyJDWLI=,tag:GujRWas0I6GFKS4n5Mu1jA==,type:str]
    #ENC[AES256_GCM,data:qUmlOYKgbh5dqlN5vouZgHgpraIo/N5OgiLy2JpdDv9Zy4z0w8vCPocQx1OH2I+1pmF+F6Jcvtdf2GDO7/iQ8G++l/fDZNKs3e8Xo1IGiEUH6FqsNaXHYVXDFh96,iv:Aa2sKnhvRszS9Cb8jd1f1UlbCwaLf1NH5miP1ylx5MA=,tag:v0rY2pEa9VmKDsHmBnWpCQ==,type:comment]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:DbERcuVpHOyAkkdYM58=,iv:2HCGhV/S0ctDhbypVeQe06Wbj0UqYr2oYjXwRYyE7vE=,tag:FT3wRpKC/baAsZQfhvwotA==,type:str]
          secretName: ENC[AES256_GCM,data:qUhc9A3RccQQ8hrpgg==,iv:feHfGD0cuW3v/3XZbxoJp12QB9Y+xVj9bsM/PaQFmW4=,tag:ZDI8NSL7reqwQ4KhXgo61w==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBqekZObk9KTDlMa0VuZjZ3
            M3J4OVByenVoN2ZCQjY1NTNwaCtkOEdYRkJVCnVydm9EU3RGZ3RJS3k0TUZaYUd2
            REpHcTJncWhHSHdnU1lpRVl5UnJXUG8KLS0tIHZCRnVRQmFkOUFUNFpvcU9NcEc2
            dmlKVEg5bXZpMDllanV6S3ZRUVhqcDgKMM0LVsVbs7s75X831UUVW3X2rocRRX44
            0Iq2FRoQnHoa48+PRG5nmQ126sV8uvdhsLgYmNTqIM98GgPTKr1ujQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:FH3VnN3JlfIQKkDAE2D0pFrBzT0HUU5VXZDQgp9anXurow//RjHzYtq6xTcbIqUaM4iXhq9GXoBEhXBlw14d1NC+FWFGfN4uXsxftq+teybhm0wGkt5M3Lq1Pub2A0y8Gx80EDUy+fB177jNnZ+S16B0Y7Pz5MKN8QkdZNL0uMg=,iv:ZGmpm9FATMlQNSFf1FY/yuRzSQLt9PqYJUtaA0QC+9o=,tag:9NII5SRVQKUSFHnrIhjz1g==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
